



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>DenyHosts安装及配置</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">DenyHosts安装及配置</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-02-04 00:59:02 </span>
						</div>
										<div class="post-content">
											
		<h2>一、DenyHost简介</h2>
<p>DenyHosts是Python语言写的一个程序软件，运行于Linux上预防SSH暴力破解的，它会分析sshd的日志文件（/var/log/secure），当发现重复的攻击时就会记录IP到/etc/hosts.deny文件，从而达到自动屏IP的功能。</p>
<p><a href="http://denyhosts.sourceforge.net/" rel="external nofollow noreferrer">项目主页</a>　　<a href="http://sourceforge.net/projects/denyhosts/files/" rel="external nofollow noreferrer">DenyHosts安装包下载地址</a></p>
<h2>二、安装过程</h2>
<pre class="prettyprint linenums"><code>tar zxvf DenyHosts-2.6.tar.gz                             #解压源码包<br />
cd DenyHosts-2.6                                          #进入安装解压目录<br />
python setup.py install                                   #安装DenyHosts<br />
cd /usr/share/denyhosts/                                  #默认安装路径<br />
cp denyhosts.cfg-dist denyhosts.cfg                       #denyhosts.cfg为配置文件<br />
cp daemon-control-dist daemon-control                     #daemon-control为启动程序<br />
chown root daemon-control                                 #添加root权限<br />
chmod 700 daemon-control                                  #修改为可执行文件<br />
ln -s /usr/share/denyhosts/daemon-control /etc/init.d     #对daemon-control进行软连接，方便管理

安装到这一步就完成了。<br />
/etc/init.d/daemon-control start                          #启动denyhosts<br />
chkconfig daemon-control on                               #将denghosts设成开机启动</code></pre>
<h2>三、配置文件简要说明</h2>
<pre class="prettyprint linenums"><code>vim /usr/share/denyhosts/denyhosts.cfg        #编辑配置文件，另外关于配置文件一些参数，通过grep -v "^#" denyhosts.cfg查看<br />
SECURE_LOG = /var/log/secure                  #ssh 日志文件 #redhat系列根据/var/log/secure文件来判断；<br />
                                                           #Mandrake、FreeBSD根据 /var/log/auth.log来判断；<br />
                                                           #SUSE则是用/var/log/messages来判断，这些在配置文件里面都有很详细的解释。<br />
HOSTS_DENY = /etc/hosts.deny                  #控制用户登陆的文件<br />
PURGE_DENY = 30m                              #过多久后清除已经禁止的，设置为30分钟；<br />
# &lsquo;m&rsquo; = minutes<br />
# &lsquo;h&rsquo; = hours<br />
# &lsquo;d&rsquo; = days<br />
# &lsquo;w&rsquo; = weeks<br />
# &lsquo;y&rsquo; = years<br />
BLOCK_SERVICE = sshd                         #禁止的服务名，当然DenyHost不仅仅用于SSH服务<br />
DENY_THRESHOLD_INVALID = 1                   #允许无效用户失败的次数<br />
DENY_THRESHOLD_VALID = 3                     #允许普通用户登陆失败的次数<br />
DENY_THRESHOLD_ROOT = 3                      #允许root登陆失败的次数<br />
DAEMON_LOG = /var/log/denyhosts              #DenyHosts日志文件存放的路径，默认

更改DenyHosts的默认配置之后，重启DenyHosts服务即可生效:<br />
/etc/init.d/daemon-control restart         #重启denyhosts</code></pre>																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/jqdo7378.html">Qt之Qwt学习之安装</a>
		</li>
						<li><a href="https://www.batexi.com/a/2q7w50j9.html">WPS Office文档未保存怎么恢复</a>
		</li>
						<li><a href="https://www.batexi.com/a/wq1xx748.html">ajax&plus;jquery&plus;ashx如何实现上传文件</a>
		</li>
						<li><a href="https://www.batexi.com/a/o8o6jxx8.html">Laxcus大数据管理系统单机集群版</a>
		</li>
						<li><a href="https://www.batexi.com/a/90vevpo8.html">POJ 3624 Charm Bracelet</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7mwxzkq.html">九度 1371 最小的K个数</a>
		</li>
						<li><a href="https://www.batexi.com/a/8z1nv5n9.html">Git skills in reseting files</a>
		</li>
						<li><a href="https://www.batexi.com/a/95x24om8.html">HTTP协议报文格式</a>
		</li>
						<li><a href="https://www.batexi.com/a/qn17m238.html">Java Timer触发定时器</a>
		</li>
						<li><a href="https://www.batexi.com/a/9jzzdke8.html">【原版的】PHP技术成长规划过程中猿人</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zoe36nq.html">ES6 for-of循环和迭代器使用细节</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxkj3nz8.html">南阳OJ-6-喷水装置（一）</a>
		</li>
						<li><a href="https://www.batexi.com/a/950o33m8.html">导入虚拟机vmware，此主机支持Intel VT-x，但Intel VT-x处于禁用状态和黑屏</a>
		</li>
						<li><a href="https://www.batexi.com/a/950650z8.html">IP网际协议</a>
		</li>
						<li><a href="https://www.batexi.com/a/qv2dryo9.html">隐藏Nginx或Apache以及PHP的版本号的方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/qllne00q.html">&lbrack;bzoj1717&rsqb;&lbrack;Milk Patterns 产奶的模式&rsqb;</a>
		</li>
						<li><a href="https://www.batexi.com/a/93wkomgq.html">MATLAB&mdash;&mdash;单层感知器</a>
		</li>
						<li><a href="https://www.batexi.com/a/93wkeerq.html">自学Linux Shell9&period;4-基于Red Hat系统工具包存在两种方式之二：源码包</a>
		</li>
						<li><a href="https://www.batexi.com/a/8o1627lq.html">android--------自定义控件 之 组合控件篇</a>
		</li>
						<li><a href="https://www.batexi.com/a/q25pk0oq.html">tomcat源码 StandardService</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/9gm27we9.html">【搜索引擎Jediael开发笔记1】搜索引擎初步介绍及网络爬虫</a>
			</li>
						<li><a href="https://www.batexi.com/a/8mn3506q.html">Loader之一：基本原理</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2wo4mxq.html">Android 6&period;0权限问题</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2wo4nvq.html">模块化开发之sea&period;js实现原理总结</a>
			</li>
						<li><a href="https://www.batexi.com/a/qdenn3z9.html">SQL Server 与 Windows 内存使用上的约定</a>
			</li>
						<li><a href="https://www.batexi.com/a/8e1ndok9.html">MFC连接ftp服务器</a>
			</li>
						<li><a href="https://www.batexi.com/a/8k1ywdr9.html">android widget-&amp;gt&semi;progressbar</a>
			</li>
						<li><a href="https://www.batexi.com/a/90vzw5o8.html">Boost 1&period;61&period;0 Library Documentation</a>
			</li>
						<li><a href="https://www.batexi.com/a/9rdozpe8.html">linux之SQL语句简明教程</a>
			</li>
						<li><a href="https://www.batexi.com/a/qn1314j8.html">图片拉伸&colon; stretchableImageWithLeftCapWidth</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
